Skip to main content
`Ctrl`+`K`

# DMMoabFEMCreateQuadratureDefault

Create default quadrature rules for integration over an element with a given dimension and polynomial order (deciphered from number of element vertices).

## Synopsis

    #include "petscdt.h"
    #include "petscdmmoab.h"
    PetscErrorCode DMMoabFEMCreateQuadratureDefault(const PetscInt dim, const PetscInt nverts, PetscQuadrature *quadrature)

## Input Parameters

- dim - the element dimension (1=EDGE, 2=QUAD/TRI, 3=HEX/TET)

- nverts - the number of vertices in the physical element

## Output Parameter

- quadrature - the quadrature object with default settings to integrate polynomials defined over the element

## See Also

`DMMoabCreate()`

## Level

advanced

## Location

src/dm/impls/moab/dmmbfem.cxx

## Examples

src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages